<?php
/**
 * PHP AXIOM
 *
 * @license GPL
 * @author Benjamin DELESPIERE <benjamin.delespierre@gmail.com>
 * @category libAxiom
 * @package helper
 * @version %version%
 */

/**
 * Helper Interface
 *
 * @author Delespierre
 * @version 1.0.0
 * @subpackage Helper
 */
interface Helper {

    /**
     * Set any number of attributes at once
     * @param array $attributes
     * @return Helper
     */
    public function setAttributes ($attributes);

    /**
     * Set the node's value
     * @param mixed $value
     * @return Helper
     */
    public function setValue ($value);

    /**
     * Get the node's value
     * @return mixed
     */
    public function getValue ();

    /**
     * Appends a node to current node and return it
     * @param mixed $node
     * @return mixed
     */
    public function appendChild ($node);

    /**
     * __toString overloading
     * Get a string represenation of
     * current node and its children
     * @return string
     */
    public function __toString ();
}